function [datos,varnames]=LeeDatos(NombreArchivo)
% Convierte y adquiere los datos proporcionados por PowerSuite en formato
% .csv
% -Variables de entrada:
%   NombreArchivo: nombre del archivo entre ''. Ej. 'prueba.csv'.
% -Variable de salida:
%   datos: matriz con los datos adquiridos ordenados por columnas
%   varnames: cell array con los nombres de las variables adquiridas
%
% Ejemplo de uso: [datosPower,nombres]=LeeDatos('corriente.csv')
%
%(c) Juan Manuel Guerrero
 

warning off MATLAB:iofun:UnsupportedEncoding;
fid1 = fopen(NombreArchivo,'r','l','UTF16-LE');
fid2 = fopen('LeeDatos.txt','W');

n = 0;

while 1
n = n + 1;    

str = fgetl(fid1);

if(n ==2)
    varnames = strread(str,'%s','delimiter',';');
end

if (n > 2)
indexes=find(str == ';');
   if ~isempty(indexes)
      str(indexes(end))=''; 
      str(indexes(1:end-1)) = ',';
   end

if ((~ischar(str)) || strcmp(str,'')) , break, end

fwrite(fid2,str,'char');
fprintf(fid2,'\n');

end
end

fclose(fid1);
fclose(fid2);

datos = csvread('LeeDatos.txt');

ndatos= length(varnames);
for j= 2:ndatos,
    figure;
    plot(datos(:,1),datos(:,j));
    xlabel(varnames(1),'Interpreter','none');
    ylabel(varnames(j),'Interpreter','none');
    grid on;
end

dos('del LeeDatos.txt');

end
